# Asterisk Project : Asterisk 13 Function_REALTIME_DESTROY

Created by wikibot on Aug 08, 2014

# REALTIME_DESTROY()

### Synopsis

RealTime Destroy Function.

### Description

This function acts in the same way as REALTIME(....) does, except that it destroys the matched record in the RT engine.

Note

Icon

If `live_dangerously` in `asterisk.conf` is set to `no`, this function can only be read from the dialplan, and not directly from external protocols. It can, however, be executed as a write operation (`REALTIME_DESTROY(family, fieldmatch)=ignored`)

### Syntax

    REALTIME_DESTROY(family,fieldmatch,matchvalue,delim1,delim2)

##### Arguments

- `family`
- `fieldmatch`
- `matchvalue`
- `delim1`
- `delim2`

### See Also

- Asterisk 13 Function_REALTIME
- Asterisk 13 Function_REALTIME_STORE
- Asterisk 13 Function_REALTIME_FIELD
- Asterisk 13 Function_REALTIME_HASH

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538